JaxbUnionSubclassElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbUnionSubclassElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbUnionSubclassElement

All Implemented Interfaces:
  EntityElement, MetaAttributeContainer, SubEntityElement

    public class JaxbUnionSubclassElement

extends Object
implements SubEntityElement

Java class for union-subclass-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="union-subclass-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="synchronize" type="{http://www.hibernate.org/xsd/hibernate-mapping}synchronize-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="comment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="tuplizer" type="{http://www.hibernate.org/xsd/hibernate-mapping}tuplizer-element" maxOccurs="unbounded" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="property" type="{http://www.hibernate.org/xsd/hibernate-mapping}property-element"/>
               <element name="many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}many-to-one-element"/>
               <element name="one-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}one-to-one-element"/>
               <element name="component" type="{http://www.hibernate.org/xsd/hibernate-mapping}component-element"/>
               <element name="dynamic-component" type="{http://www.hibernate.org/xsd/hibernate-mapping}dynamic-component-element"/>
               <element name="properties" type="{http://www.hibernate.org/xsd/hibernate-mapping}properties-element"/>
               <element name="any" type="{http://www.hibernate.org/xsd/hibernate-mapping}any-element"/>
               <element name="map" type="{http://www.hibernate.org/xsd/hibernate-mapping}map-element"/>
               <element name="set" type="{http://www.hibernate.org/xsd/hibernate-mapping}set-element"/>
               <element name="list" type="{http://www.hibernate.org/xsd/hibernate-mapping}list-element"/>
               <element name="bag" type="{http://www.hibernate.org/xsd/hibernate-mapping}bag-element"/>
               <element name="idbag" type="{http://www.hibernate.org/xsd/hibernate-mapping}idbag-element"/>
               <element name="array" type="{http://www.hibernate.org/xsd/hibernate-mapping}array-element"/>
               <element name="primitive-array" type="{http://www.hibernate.org/xsd/hibernate-mapping}primitive-array-element"/>
             </choice>
             <element name="union-subclass" type="{http://www.hibernate.org/xsd/hibernate-mapping}union-subclass-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="loader" type="{http://www.hibernate.org/xsd/hibernate-mapping}loader-element" minOccurs="0"/>
             <element name="sql-insert" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-insert-element" minOccurs="0"/>
             <element name="sql-update" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-update-element" minOccurs="0"/>
             <element name="sql-delete" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-delete-element" minOccurs="0"/>
             <element name="fetch-profile" type="{http://www.hibernate.org/xsd/hibernate-mapping}fetch-profile-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="resultset" type="{http://www.hibernate.org/xsd/hibernate-mapping}resultset-element" maxOccurs="unbounded" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="query" type="{http://www.hibernate.org/xsd/hibernate-mapping}query-element"/>
               <element name="sql-query" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-query-element"/>
             </choice>
           </sequence>
           <attribute name="abstract" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="catalog" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="check" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="dynamic-insert" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="dynamic-update" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="extends" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lazy" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="persister" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="proxy" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="schema" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="select-before-update" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="table" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Boolean` | `_abstract`
`protected String` | `_extends`
`protected String` | `batchSize`
`protected String` | `catalog`
`protected String` | `check`
`protected String` | `comment`
`protected Boolean` | `dynamicInsert`
`protected Boolean` | `dynamicUpdate`
`protected String` | `entityName`
`protected List<JaxbFetchProfileElement>` | `fetchProfile`
`protected Boolean` | `lazy`
`protected JaxbLoaderElement` | `loader`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `name`
`protected String` | `node`
`protected String` | `persister`
`protected List<Object>` | `propertyOrManyToOneOrOneToOne`
`protected String` | `proxy`
`protected List<Object>` | `queryOrSqlQuery`
`protected List<JaxbResultsetElement>` | `resultset`
`protected String` | `schema`
`protected Boolean` | `selectBeforeUpdate`
`protected JaxbSqlDeleteElement` | `sqlDelete`
`protected JaxbSqlInsertElement` | `sqlInsert`
`protected JaxbSqlUpdateElement` | `sqlUpdate`
`protected String` | `subselect`
`protected String` | `subselectAttribute`
`protected List<JaxbSynchronizeElement>` | `synchronize`
`protected String` | `table`
`protected List<JaxbTuplizerElement>` | `tuplizer`
`protected List<JaxbUnionSubclassElement>` | `unionSubclass`

Constructor Summary
`JaxbUnionSubclassElement()`

Method Summary
`String` | `getBatchSize()` Gets the value of the batchSize property.
`String` | `getCatalog()` Gets the value of the catalog property.
`String` | `getCheck()` Gets the value of the check property.
`String` | `getComment()` Gets the value of the comment property.
`String` | `getEntityName()` Gets the value of the entityName property.
`String` | `getExtends()` Gets the value of the extends property.
`List<JaxbFetchProfileElement>` | `getFetchProfile()` Gets the value of the fetchProfile property.
`JaxbLoaderElement` | `getLoader()` Gets the value of the loader property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`String` | `getPersister()` Gets the value of the persister property.
`List<Object>` | `getPropertyOrManyToOneOrOneToOne()` Gets the value of the propertyOrManyToOneOrOneToOne property.
`String` | `getProxy()` Gets the value of the proxy property.
`List<Object>` | `getQueryOrSqlQuery()` Gets the value of the queryOrSqlQuery property.
`List<JaxbResultsetElement>` | `getResultset()` Gets the value of the resultset property.
`String` | `getSchema()` Gets the value of the schema property.
`JaxbSqlDeleteElement` | `getSqlDelete()` Gets the value of the sqlDelete property.
`JaxbSqlInsertElement` | `getSqlInsert()` Gets the value of the sqlInsert property.
`JaxbSqlUpdateElement` | `getSqlUpdate()` Gets the value of the sqlUpdate property.
`String` | `getSubselect()` Gets the value of the subselect property.
`String` | `getSubselectAttribute()` Gets the value of the subselectAttribute property.
`List<JaxbSynchronizeElement>` | `getSynchronize()` Gets the value of the synchronize property.
`String` | `getTable()` Gets the value of the table property.
`List<JaxbTuplizerElement>` | `getTuplizer()` Gets the value of the tuplizer property.
`List<JaxbUnionSubclassElement>` | `getUnionSubclass()` Gets the value of the unionSubclass property.
`Boolean` | `isAbstract()` Gets the value of the abstract property.
`boolean` | `isDynamicInsert()` Gets the value of the dynamicInsert property.
`boolean` | `isDynamicUpdate()` Gets the value of the dynamicUpdate property.
`Boolean` | `isLazy()` Gets the value of the lazy property.
`boolean` | `isSelectBeforeUpdate()` Gets the value of the selectBeforeUpdate property.
`void` | `setAbstract(Boolean value)` Sets the value of the abstract property.
`void` | `setBatchSize(String value)` Sets the value of the batchSize property.
`void` | `setCatalog(String value)` Sets the value of the catalog property.
`void` | `setCheck(String value)` Sets the value of the check property.
`void` | `setComment(String value)` Sets the value of the comment property.
`void` | `setDynamicInsert(Boolean value)` Sets the value of the dynamicInsert property.
`void` | `setDynamicUpdate(Boolean value)` Sets the value of the dynamicUpdate property.
`void` | `setEntityName(String value)` Sets the value of the entityName property.
`void` | `setExtends(String value)` Sets the value of the extends property.
`void` | `setLazy(Boolean value)` Sets the value of the lazy property.
`void` | `setLoader(JaxbLoaderElement value)` Sets the value of the loader property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setPersister(String value)` Sets the value of the persister property.
`void` | `setProxy(String value)` Sets the value of the proxy property.
`void` | `setSchema(String value)` Sets the value of the schema property.
`void` | `setSelectBeforeUpdate(Boolean value)` Sets the value of the selectBeforeUpdate property.
`void` | `setSqlDelete(JaxbSqlDeleteElement value)` Sets the value of the sqlDelete property.
`void` | `setSqlInsert(JaxbSqlInsertElement value)` Sets the value of the sqlInsert property.
`void` | `setSqlUpdate(JaxbSqlUpdateElement value)` Sets the value of the sqlUpdate property.
`void` | `setSubselect(String value)` Sets the value of the subselect property.
`void` | `setSubselectAttribute(String value)` Sets the value of the subselectAttribute property.
`void` | `setTable(String value)` Sets the value of the table property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### subselect

    protected String subselect

### synchronize

    protected List<JaxbSynchronizeElement> synchronize

### comment

    protected String comment

### tuplizer

    protected List<JaxbTuplizerElement> tuplizer

### propertyOrManyToOneOrOneToOne

    protected List<Object> propertyOrManyToOneOrOneToOne

### unionSubclass

    protected List<JaxbUnionSubclassElement> unionSubclass

### loader

    protected JaxbLoaderElement loader

### sqlInsert

    protected JaxbSqlInsertElement sqlInsert

### sqlUpdate

    protected JaxbSqlUpdateElement sqlUpdate

### sqlDelete

    protected JaxbSqlDeleteElement sqlDelete

### fetchProfile

    protected List<JaxbFetchProfileElement> fetchProfile

### resultset

    protected List<JaxbResultsetElement> resultset

### queryOrSqlQuery

    protected List<Object> queryOrSqlQuery

### _abstract

    protected Boolean _abstract

### batchSize

    protected String batchSize

### catalog

    protected String catalog

### check

    protected String check

### dynamicInsert

    protected Boolean dynamicInsert

### dynamicUpdate

    protected Boolean dynamicUpdate

### entityName

    protected String entityName

### _extends

    protected String _extends

### lazy

    protected Boolean lazy

### name

    protected String name

### node

    protected String node

### persister

    protected String persister

### proxy

    protected String proxy

### schema

    protected String schema

### selectBeforeUpdate

    protected Boolean selectBeforeUpdate

### subselectAttribute

    protected String subselectAttribute

### table

    protected String table

Constructor Detail

### JaxbUnionSubclassElement

    public JaxbUnionSubclassElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

  Specified by:
    `getMeta` in interface `MetaAttributeContainer`

### getSubselect

    public String getSubselect()

  Gets the value of the subselect property.

  Returns:
    possible object is `String`

### setSubselect

    public void setSubselect(String value)

  Sets the value of the subselect property.

  Parameters:
    `value` - allowed object is `String`

### getSynchronize

    public List<JaxbSynchronizeElement> getSynchronize()

  Gets the value of the synchronize property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the synchronize property.

  For example, to add a new item, do as follows:

          getSynchronize().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSynchronizeElement`

  Specified by:
    `getSynchronize` in interface `EntityElement`

### getComment

    public String getComment()

  Gets the value of the comment property.

  Returns:
    possible object is `String`

### setComment

    public void setComment(String value)

  Sets the value of the comment property.

  Parameters:
    `value` - allowed object is `String`

### getTuplizer

    public List<JaxbTuplizerElement> getTuplizer()

  Gets the value of the tuplizer property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tuplizer property.

  For example, to add a new item, do as follows:

          getTuplizer().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbTuplizerElement`

  Specified by:
    `getTuplizer` in interface `EntityElement`

### getPropertyOrManyToOneOrOneToOne

    public List<Object> getPropertyOrManyToOneOrOneToOne()

  Gets the value of the propertyOrManyToOneOrOneToOne property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propertyOrManyToOneOrOneToOne property.

  For example, to add a new item, do as follows:

          getPropertyOrManyToOneOrOneToOne().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbIdbagElement` `JaxbDynamicComponentElement` `JaxbBagElement` `JaxbOneToOneElement` `JaxbComponentElement` `JaxbAnyElement` `JaxbPropertiesElement` `JaxbSetElement` `JaxbManyToOneElement` `JaxbListElement` `JaxbPrimitiveArrayElement` `JaxbArrayElement` `JaxbMapElement` `JaxbPropertyElement`

  Specified by:
    `getPropertyOrManyToOneOrOneToOne` in interface `EntityElement`

### getUnionSubclass

    public List<JaxbUnionSubclassElement> getUnionSubclass()

  Gets the value of the unionSubclass property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the unionSubclass property.

  For example, to add a new item, do as follows:

          getUnionSubclass().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbUnionSubclassElement`

### getLoader

    public JaxbLoaderElement getLoader()

  Gets the value of the loader property.

  Specified by:
    `getLoader` in interface `EntityElement`
  Returns:
    possible object is `JaxbLoaderElement`

### setLoader

    public void setLoader(JaxbLoaderElement value)

  Sets the value of the loader property.

  Parameters:
    `value` - allowed object is `JaxbLoaderElement`

### getSqlInsert

    public JaxbSqlInsertElement getSqlInsert()

  Gets the value of the sqlInsert property.

  Specified by:
    `getSqlInsert` in interface `EntityElement`
  Returns:
    possible object is `JaxbSqlInsertElement`

### setSqlInsert

    public void setSqlInsert(JaxbSqlInsertElement value)

  Sets the value of the sqlInsert property.

  Parameters:
    `value` - allowed object is `JaxbSqlInsertElement`

### getSqlUpdate

    public JaxbSqlUpdateElement getSqlUpdate()

  Gets the value of the sqlUpdate property.

  Specified by:
    `getSqlUpdate` in interface `EntityElement`
  Returns:
    possible object is `JaxbSqlUpdateElement`

### setSqlUpdate

    public void setSqlUpdate(JaxbSqlUpdateElement value)

  Sets the value of the sqlUpdate property.

  Parameters:
    `value` - allowed object is `JaxbSqlUpdateElement`

### getSqlDelete

    public JaxbSqlDeleteElement getSqlDelete()

  Gets the value of the sqlDelete property.

  Specified by:
    `getSqlDelete` in interface `EntityElement`
  Returns:
    possible object is `JaxbSqlDeleteElement`

### setSqlDelete

    public void setSqlDelete(JaxbSqlDeleteElement value)

  Sets the value of the sqlDelete property.

  Parameters:
    `value` - allowed object is `JaxbSqlDeleteElement`

### getFetchProfile

    public List<JaxbFetchProfileElement> getFetchProfile()

  Gets the value of the fetchProfile property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fetchProfile property.

  For example, to add a new item, do as follows:

          getFetchProfile().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbFetchProfileElement`

  Specified by:
    `getFetchProfile` in interface `EntityElement`

### getResultset

    public List<JaxbResultsetElement> getResultset()

  Gets the value of the resultset property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resultset property.

  For example, to add a new item, do as follows:

          getResultset().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbResultsetElement`

  Specified by:
    `getResultset` in interface `EntityElement`

### getQueryOrSqlQuery

    public List<Object> getQueryOrSqlQuery()

  Gets the value of the queryOrSqlQuery property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the queryOrSqlQuery property.

  For example, to add a new item, do as follows:

          getQueryOrSqlQuery().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSqlQueryElement` `JaxbQueryElement`

  Specified by:
    `getQueryOrSqlQuery` in interface `EntityElement`

### isAbstract

    public Boolean isAbstract()

  Gets the value of the abstract property.

  Specified by:
    `isAbstract` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setAbstract

    public void setAbstract(Boolean value)

  Sets the value of the abstract property.

  Parameters:
    `value` - allowed object is `Boolean`

### getBatchSize

    public String getBatchSize()

  Gets the value of the batchSize property.

  Specified by:
    `getBatchSize` in interface `EntityElement`
  Returns:
    possible object is `String`

### setBatchSize

    public void setBatchSize(String value)

  Sets the value of the batchSize property.

  Parameters:
    `value` - allowed object is `String`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getCheck

    public String getCheck()

  Gets the value of the check property.

  Returns:
    possible object is `String`

### setCheck

    public void setCheck(String value)

  Sets the value of the check property.

  Parameters:
    `value` - allowed object is `String`

### isDynamicInsert

    public boolean isDynamicInsert()

  Gets the value of the dynamicInsert property.

  Specified by:
    `isDynamicInsert` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setDynamicInsert

    public void setDynamicInsert(Boolean value)

  Sets the value of the dynamicInsert property.

  Parameters:
    `value` - allowed object is `Boolean`

### isDynamicUpdate

    public boolean isDynamicUpdate()

  Gets the value of the dynamicUpdate property.

  Specified by:
    `isDynamicUpdate` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setDynamicUpdate

    public void setDynamicUpdate(Boolean value)

  Sets the value of the dynamicUpdate property.

  Parameters:
    `value` - allowed object is `Boolean`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Specified by:
    `getEntityName` in interface `EntityElement`
  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getExtends

    public String getExtends()

  Gets the value of the extends property.

  Specified by:
    `getExtends` in interface `SubEntityElement`
  Returns:
    possible object is `String`

### setExtends

    public void setExtends(String value)

  Sets the value of the extends property.

  Parameters:
    `value` - allowed object is `String`

### isLazy

    public Boolean isLazy()

  Gets the value of the lazy property.

  Specified by:
    `isLazy` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setLazy

    public void setLazy(Boolean value)

  Sets the value of the lazy property.

  Parameters:
    `value` - allowed object is `Boolean`

### getName

    public String getName()

  Gets the value of the name property.

  Specified by:
    `getName` in interface `EntityElement`
  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getPersister

    public String getPersister()

  Gets the value of the persister property.

  Specified by:
    `getPersister` in interface `EntityElement`
  Returns:
    possible object is `String`

### setPersister

    public void setPersister(String value)

  Sets the value of the persister property.

  Parameters:
    `value` - allowed object is `String`

### getProxy

    public String getProxy()

  Gets the value of the proxy property.

  Specified by:
    `getProxy` in interface `EntityElement`
  Returns:
    possible object is `String`

### setProxy

    public void setProxy(String value)

  Sets the value of the proxy property.

  Parameters:
    `value` - allowed object is `String`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

### isSelectBeforeUpdate

    public boolean isSelectBeforeUpdate()

  Gets the value of the selectBeforeUpdate property.

  Specified by:
    `isSelectBeforeUpdate` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setSelectBeforeUpdate

    public void setSelectBeforeUpdate(Boolean value)

  Sets the value of the selectBeforeUpdate property.

  Parameters:
    `value` - allowed object is `Boolean`

### getSubselectAttribute

    public String getSubselectAttribute()

  Gets the value of the subselectAttribute property.

  Returns:
    possible object is `String`

### setSubselectAttribute

    public void setSubselectAttribute(String value)

  Sets the value of the subselectAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getTable

    public String getTable()

  Gets the value of the table property.

  Returns:
    possible object is `String`

### setTable

    public void setTable(String value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.